package com.gic.spark.util;

import com.alibaba.fastjson.JSONObject;
import org.apache.http.HttpResponse;

import java.util.Map;

/**
 * Created by paste on 2018/7/21 16:29
 * <p>
 * TODO: class description
 */
public class EsRequestUtil {

    public static String getESIindexName(String enterprise_id, boolean isProd) {
        String esIndexName = "";
        String url;
        if (isProd) {
            url = "http://demogic.com/screening/getEsNameAlias.json?enterpriseId=" + enterprise_id + "&code=member";
        } else {
            url = "http://gicdev.demogic.com/screening/getEsNameAlias.json?enterpriseId=" + enterprise_id + "&code=member";
        }
        HttpResponse response = HttpClient.getHttpResponseByGet(url);
        int responseCode = response.getStatusLine().getStatusCode();
        if (responseCode == 200) {
            JSONObject jsonObject = JSONObject.parseObject(HttpClient.getResponseString(response));
//            System.out.println("jsonObject "+jsonObject.toJSONString());
            Map result = (Map) jsonObject.get("response");
            int code = (Integer) result.get("errcode");
            if (code == 1) {
                esIndexName = (String) result.get("name");
            }
        }
        return esIndexName;
    }

}
